#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#define MAX_SIZE 100 

/**
 * Allocates memory for a line of characters.
 * 
 * @return A pointer to the allocated memory.
 */
char* AllocateLine() {
    char *line = malloc(MAX_SIZE * sizeof(char));
    if (line == NULL) {
        printf("Failed to allocate memory\n");
        exit(1);
    }
    return line;
}

/**
 * Process a line of text.
 *
 * This function takes a line of text as input and updates the count of lines and characters.
 *
 * @param line The line of text to process.
 * @param countLines Pointer to the variable storing the count of lines.
 * @param countChars Pointer to the variable storing the count of characters.
 */
void ProcessLine(char *line, int *countLines, int *countChars) {
    line[strcspn(line, "\n")] = 0; // remover line breaks
    if (line[0] != '\0') { // verificar se a linha não está vazia
        *countChars += strlen(line);
        (*countLines)++;
    } else {
        printf("%d %d", *countLines, *countChars);
        exit(0);
    }
}

int main() {
    int countLines = 0, countChars = 0;
    char *line = AllocateLine();

    while (fgets(line, MAX_SIZE, stdin) != NULL) {
        ProcessLine(line, &countLines, &countChars);
    }

    printf("%d %d", countLines, countChars);
    
    free(line);
    return 0;
}